---
title: DeviceMotionEvent.acceleration
slug: Web/API/DeviceMotionEvent/acceleration
tags:
  - API
  - Device Orientation
  - Experimental
  - Mobile
  - Motion
  - NeedsExample
  - Orientation
  - Property
  - Reference
---
<p>{{APIRef("Device Orientation Events")}}</p>

<p>The <code>acceleration</code> property returns the amount of acceleration recorded by the device, in <a href="https://en.wikipedia.org/wiki/Meter_per_second_squared">meters per second squared (m/s<sup>2</sup>)</a>.</p>

<div class="notecard note">
<p><strong>Note:</strong> If the hardware doesn't know how to remove gravity from the acceleration data, this value may not be present in the {{DOMxRef("DeviceMotionEvent")}}. In this situation, you'll need to use {{DOMxRef("DeviceMotionEvent.accelerationIncludingGravity")}} instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>acceleration</var> = <var>deviceMotionEvent</var>.acceleration;</pre>

<h2 id="Value">Value</h2>

<p>The <code>acceleration</code> property is an object providing information about acceleration on three axis. Each axis is represented with its own property:</p>

<dl>
 <dt><code>x</code></dt>
 <dd>Represents the acceleration upon the x axis which is the west to east axis</dd>
 <dt><code>y</code></dt>
 <dd>Represents the acceleration upon the y axis which is the south to north axis</dd>
 <dt><code>z</code></dt>
 <dd>Represents the acceleration upon the z axis which is the down to up axis</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Device Orientation")}}</td>
   <td>{{Spec2("Device Orientation")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeviceMotionEvent.acceleration")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("DeviceMotionEvent.accelerationIncludingGravity")}}</li>
 <li>{{Event("devicemotion")}}</li>
 <li>{{DOMxRef("window.ondevicemotion")}}</li>
 <li>{{Event("deviceorientation")}}</li>
 <li>{{DOMxRef("DeviceOrientationEvent")}}</li>
 <li><a href="/en-US/docs/WebAPI/Detecting_device_orientation">Detecting device orientation</a></li>
 <li><a href="https://developer.mozilla.org/en/DOM/Orientation_and_motion_data_explained" title="Orientation and motion data explained">Orientation and motion data explained</a></li>
</ul>
